/* ****************************************************************************
 * pyutmpx.h -- pyutmpx module header.
 * Copyright (C) 2017-2018 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of the pyutmpx Python 3.x module, which is MIT-licensed.
 * ************************************************************************* */
#ifndef  PYUTMPX_H
# define PYUTMPX_H 2018020602
# include <Python.h>
# include <pyerrors.h>
# include <structmember.h>

extern PyTypeObject pyutmpx_entry;

extern int pyutmpx_prepare_types(PyObject *module);
extern void pyutmpx_destroy_types(void);
extern PyObject *pyutmpx_get_type(int ut_type);
extern char const *pyutmpx_get_type_string(PyObject *type);

extern int pyutmpx_prepare_iterators(PyObject *module);
extern void pyutmpx_destroy_iterators(void);

extern PyObject *pyutmpx_get_datetime(struct timeval const *tv);

#endif /* PYUTMPX_H */
